<?php

declare(strict_types=1);

namespace Dedi\SyliusMegamenuPlugin\Factory;

use Dedi\SyliusMegamenuPlugin\Entity\EntryInterface;
use Dedi\SyliusMegamenuPlugin\Entity\MenuInterface;
use Dedi\SyliusMegamenuPlugin\Entity\ProductCatalogEntry;
use Dedi\SyliusMegamenuPlugin\Entity\ProductCatalogEntryInterface;

final class ProductCatalogEntryFactory extends AbstractSpecializedEntryFactory implements ProductCatalogEntryFactoryInterface
{
    public function createNew(): ProductCatalogEntryInterface
    {
        return new ProductCatalogEntry();
    }
}
